// *** WARNING! ***
//   regenerate this part directly from "mapdef.txt" with 'mapgen', NEVER manually change anything here!


// ////////////////////////////////////////////////////////////////////////// //
// enums and bitsets

// TextureSpecial
const
  TEXTURE_SPECIAL_WATER = -1;
  TEXTURE_SPECIAL_ACID1 = -2;
  TEXTURE_SPECIAL_ACID2 = -3;
  TEXTURE_NONE = -4;

// DirType
const
  DIR_LEFT = 0;
  DIR_RIGHT = 1;
  DIR_SOMETHING2 = 2;

// TriggerType
const
  TRIGGER_NONE = 0;
  TRIGGER_EXIT = 1;
  TRIGGER_TELEPORT = 2;
  TRIGGER_OPENDOOR = 3;
  TRIGGER_CLOSEDOOR = 4;
  TRIGGER_DOOR = 5;
  TRIGGER_DOOR5 = 6;
  TRIGGER_CLOSETRAP = 7;
  TRIGGER_TRAP = 8;
  TRIGGER_PRESS = 9;
  TRIGGER_SECRET = 10;
  TRIGGER_LIFTUP = 11;
  TRIGGER_LIFTDOWN = 12;
  TRIGGER_LIFT = 13;
  TRIGGER_TEXTURE = 14;
  TRIGGER_ON = 15;
  TRIGGER_OFF = 16;
  TRIGGER_ONOFF = 17;
  TRIGGER_SOUND = 18;
  TRIGGER_SPAWNMONSTER = 19;
  TRIGGER_SPAWNITEM = 20;
  TRIGGER_MUSIC = 21;
  TRIGGER_PUSH = 22;
  TRIGGER_SCORE = 23;
  TRIGGER_MESSAGE = 24;
  TRIGGER_DAMAGE = 25;
  TRIGGER_HEALTH = 26;
  TRIGGER_SHOT = 27;
  TRIGGER_EFFECT = 28;
  TRIGGER_SCRIPT = 29;
  TRIGGER_MAX = 29;

// PanelType
const
  PANEL_NONE = 0;
  PANEL_WALL = 1;
  PANEL_BACK = 2;
  PANEL_FORE = 4;
  PANEL_WATER = 8;
  PANEL_ACID1 = 16;
  PANEL_ACID2 = 32;
  PANEL_STEP = 64;
  PANEL_LIFTUP = 128;
  PANEL_LIFTDOWN = 256;
  PANEL_OPENDOOR = 512;
  PANEL_CLOSEDOOR = 1024;
  PANEL_BLOCKMON = 2048;
  PANEL_LIFTLEFT = 4096;
  PANEL_LIFTRIGHT = 8192;

// PanelFlag
const
  PANEL_FLAG_NONE = 0;
  PANEL_FLAG_BLENDING = 1;
  PANEL_FLAG_HIDE = 2;
  PANEL_FLAG_WATERTEXTURES = 4;

// EffectAction
const
  EFFECT_NONE = 0;
  EFFECT_TELEPORT = 1;
  EFFECT_RESPAWN = 2;
  EFFECT_FIRE = 3;

// Item
const
  ITEM_NONE = 0;
  ITEM_MEDKIT_SMALL = 1;
  ITEM_MEDKIT_LARGE = 2;
  ITEM_MEDKIT_BLACK = 3;
  ITEM_ARMOR_GREEN = 4;
  ITEM_ARMOR_BLUE = 5;
  ITEM_SPHERE_BLUE = 6;
  ITEM_SPHERE_WHITE = 7;
  ITEM_SUIT = 8;
  ITEM_OXYGEN = 9;
  ITEM_INVUL = 10;
  ITEM_WEAPON_SAW = 11;
  ITEM_WEAPON_SHOTGUN1 = 12;
  ITEM_WEAPON_SHOTGUN2 = 13;
  ITEM_WEAPON_CHAINGUN = 14;
  ITEM_WEAPON_ROCKETLAUNCHER = 15;
  ITEM_WEAPON_PLASMA = 16;
  ITEM_WEAPON_BFG = 17;
  ITEM_WEAPON_SUPERPULEMET = 18;
  ITEM_AMMO_BULLETS = 19;
  ITEM_AMMO_BULLETS_BOX = 20;
  ITEM_AMMO_SHELLS = 21;
  ITEM_AMMO_SHELLS_BOX = 22;
  ITEM_AMMO_ROCKET = 23;
  ITEM_AMMO_ROCKET_BOX = 24;
  ITEM_AMMO_CELL = 25;
  ITEM_AMMO_CELL_BIG = 26;
  ITEM_AMMO_BACKPACK = 27;
  ITEM_KEY_RED = 28;
  ITEM_KEY_GREEN = 29;
  ITEM_KEY_BLUE = 30;
  ITEM_WEAPON_KASTET = 31;
  ITEM_WEAPON_PISTOL = 32;
  ITEM_BOTTLE = 33;
  ITEM_HELMET = 34;
  ITEM_JETPACK = 35;
  ITEM_INVIS = 36;
  ITEM_WEAPON_FLAMETHROWER = 37;
  ITEM_AMMO_FUELCAN = 38;
  ITEM_MAX = 38;

// ItemOption
const
  ITEM_OPTION_NONE = 0;
  ITEM_OPTION_ONLYDM = 1;
  ITEM_OPTION_FALL = 2;

// AreaType
const
  AREA_NONE = 0;
  AREA_PLAYERPOINT1 = 1;
  AREA_PLAYERPOINT2 = 2;
  AREA_DMPOINT = 3;
  AREA_REDFLAG = 4;
  AREA_BLUEFLAG = 5;
  AREA_DOMFLAG = 6;
  AREA_REDTEAMPOINT = 7;
  AREA_BLUETEAMPOINT = 8;

// Monster
const
  MONSTER_NONE = 0;
  MONSTER_DEMON = 1;
  MONSTER_IMP = 2;
  MONSTER_ZOMBY = 3;
  MONSTER_SERG = 4;
  MONSTER_CYBER = 5;
  MONSTER_CGUN = 6;
  MONSTER_BARON = 7;
  MONSTER_KNIGHT = 8;
  MONSTER_CACO = 9;
  MONSTER_SOUL = 10;
  MONSTER_PAIN = 11;
  MONSTER_SPIDER = 12;
  MONSTER_BSP = 13;
  MONSTER_MANCUB = 14;
  MONSTER_SKEL = 15;
  MONSTER_VILE = 16;
  MONSTER_FISH = 17;
  MONSTER_BARREL = 18;
  MONSTER_ROBO = 19;
  MONSTER_MAN = 20;
  MONSTER_ZOMBIE = 3;

// MonsterBehaviour
const
  BH_NORMAL = 0;
  BH_KILLER = 1;
  BH_MANIAC = 2;
  BH_INSANE = 3;
  BH_CANNIBAL = 4;
  BH_GOOD = 5;

// TriggerShot
const
  TRIGGER_SHOT_PISTOL = 0;
  TRIGGER_SHOT_BULLET = 1;
  TRIGGER_SHOT_SHOTGUN = 2;
  TRIGGER_SHOT_SSG = 3;
  TRIGGER_SHOT_IMP = 4;
  TRIGGER_SHOT_PLASMA = 5;
  TRIGGER_SHOT_SPIDER = 6;
  TRIGGER_SHOT_CACO = 7;
  TRIGGER_SHOT_BARON = 8;
  TRIGGER_SHOT_MANCUB = 9;
  TRIGGER_SHOT_REV = 10;
  TRIGGER_SHOT_ROCKET = 11;
  TRIGGER_SHOT_BFG = 12;
  TRIGGER_SHOT_EXPL = 13;
  TRIGGER_SHOT_BFGEXPL = 14;
  TRIGGER_SHOT_FLAME = 15;
  TRIGGER_SHOT_MAX = 15;

// TriggerShotTarget
const
  TRIGGER_SHOT_TARGET_NONE = 0;
  TRIGGER_SHOT_TARGET_MON = 1;
  TRIGGER_SHOT_TARGET_PLR = 2;
  TRIGGER_SHOT_TARGET_RED = 3;
  TRIGGER_SHOT_TARGET_BLUE = 4;
  TRIGGER_SHOT_TARGET_MONPLR = 5;
  TRIGGER_SHOT_TARGET_PLRMON = 6;

// TriggerShotAim
const
  TRIGGER_SHOT_AIM_DEFAULT = 0;
  TRIGGER_SHOT_AIM_ALLMAP = 1;
  TRIGGER_SHOT_AIM_TRACE = 2;
  TRIGGER_SHOT_AIM_TRACEALL = 3;

// TriggerEffect
const
  TRIGGER_EFFECT_PARTICLE = 0;
  TRIGGER_EFFECT_ANIMATION = 1;

// TriggerEffectType
const
  TRIGGER_EFFECT_SLIQUID = 0;
  TRIGGER_EFFECT_LLIQUID = 1;
  TRIGGER_EFFECT_DLIQUID = 2;
  TRIGGER_EFFECT_BLOOD = 3;
  TRIGGER_EFFECT_SPARK = 4;
  TRIGGER_EFFECT_BUBBLE = 5;
  TRIGGER_EFFECT_MAX = 5;

// TriggerEffectPos
const
  TRIGGER_EFFECT_POS_CENTER = 0;
  TRIGGER_EFFECT_POS_AREA = 1;

// TriggerMusicAction
const
  TRIGGER_MUSIC_ACTION_STOP = 0;
  TRIGGER_MUSIC_ACTION_PLAY = 1;

// TriggerScoreAction
const
  TRIGGER_SCORE_ACTION_ADD = 0;
  TRIGGER_SCORE_ACTION_SUB = 1;
  TRIGGER_SCORE_ACTION_WIN = 2;
  TRIGGER_SCORE_ACTION_LOOSE = 3;

// TriggerMessageDest
const
  TRIGGER_MESSAGE_DEST_ME = 0;
  TRIGGER_MESSAGE_DEST_MY_TEAM = 1;
  TRIGGER_MESSAGE_DEST_ENEMY_TEAM = 2;
  TRIGGER_MESSAGE_DEST_RED_TEAM = 3;
  TRIGGER_MESSAGE_DEST_BLUE_TEAM = 4;
  TRIGGER_MESSAGE_DEST_EVERYONE = 5;

// TriggerMessageKind
const
  TRIGGER_MESSAGE_KIND_CHAT = 0;
  TRIGGER_MESSAGE_KIND_GAME = 1;

// ActivateType
const
  ACTIVATE_NONE = 0;
  ACTIVATE_PLAYERCOLLIDE = 1;
  ACTIVATE_MONSTERCOLLIDE = 2;
  ACTIVATE_PLAYERPRESS = 4;
  ACTIVATE_MONSTERPRESS = 8;
  ACTIVATE_SHOT = 16;
  ACTIVATE_NOMONSTER = 32;
  ACTIVATE_CUSTOM = 255;

// Key
const
  KEY_NONE = 0;
  KEY_RED = 1;
  KEY_GREEN = 2;
  KEY_BLUE = 4;
  KEY_REDTEAM = 8;
  KEY_BLUETEAM = 16;

// HitType
const
  HIT_SOME = 0;
  HIT_ROCKET = 1;
  HIT_BFG = 2;
  HIT_TRAP = 3;
  HIT_FALL = 4;
  HIT_WATER = 5;
  HIT_ACID = 6;
  HIT_ELECTRO = 7;
  HIT_FLAME = 8;
  HIT_SELF = 9;
  HIT_DISCON = 10;

// TriggerScoreTeam
const
  TRIGGER_SCORE_TEAM_MINE_RED = 0;
  TRIGGER_SCORE_TEAM_MINE_BLUE = 1;
  TRIGGER_SCORE_TEAM_FORCE_RED = 2;
  TRIGGER_SCORE_TEAM_FORCE_BLUE = 3;


const defaultMapDef: AnsiString = ''+
  #47#47#32#121#101#115#44#32#116#104#105#115#32#102#105#108#101#32#115#101+
  #114#118#101#115#32#98#111#116#104#32#97#115#32#102#111#114#109#97#116#32+
  #100#101#115#99#114#105#112#116#105#111#110#32#97#110#100#32#97#115#32#116+
  #101#109#112#108#97#116#101#32#102#111#114#32#99#111#100#101#32#103#101#110+
  #101#114#97#116#105#111#110#13#10#47#47#32#116#104#101#32#101#110#103#105+
  #110#101#32#119#105#108#108#32#117#115#101#32#116#104#105#115#32#100#101#115+
  #99#114#105#112#116#105#111#110#32#116#111#32#112#97#114#115#101#32#108#101+
  #103#97#99#121#32#98#105#110#97#114#121#32#109#97#112#32#102#111#114#109#97+
  #116#13#10#13#10#47#47#32#110#111#116#101#115#58#13#10#47#47#32#32#42#32#102+
  #105#101#108#100#32#119#105#116#104#111#117#116#32#111#102#102#115#101#116+
  #32#105#115#32#110#111#116#32#105#110#32#98#105#110#97#114#121#32#102#111+
  #114#109#97#116#13#10#47#47#32#32#42#32#102#105#101#108#100#115#32#119#105+
  #116#104#32#96#119#114#105#116#101#100#101#102#97#117#108#116#96#32#119#105+
  #108#108#32#98#101#32#119#114#105#116#116#101#110#32#101#118#101#110#32#105+
  #102#32#116#104#101#121#32#99#111#110#116#97#105#110#32#100#101#102#97#117+
  #108#116#32#118#97#108#117#101#115#13#10#47#47#32#32#42#32#102#105#101#108+
  #100#115#32#119#105#116#104#32#96#105#110#116#101#114#110#97#108#96#32#119+
  #111#110#39#116#32#98#101#32#119#114#105#116#116#101#110#32#116#111#32#97+
  #110#121#32#102#105#108#101#32#101#118#101#114#32#40#97#110#100#32#119#111+
  #110#39#116#32#98#101#32#114#101#97#100#41#13#10#47#47#32#32#42#32#96#117#98+
  #121#116#101#96#32#105#115#32#117#110#115#105#103#110#101#100#32#98#121#116+
  #101#44#32#97#110#100#32#96#98#121#116#101#96#32#105#115#32#115#105#103#110+
  #101#100#32#98#121#116#101#13#10#47#47#32#32#42#32#97#108#108#32#115#116#114+
  #105#110#103#115#32#97#114#101#32#105#110#32#117#116#102#45#56#13#10#47#47+
  #32#32#42#32#115#116#114#117#99#116#32#119#105#116#104#32#96#104#101#97#100+
  #101#114#96#32#102#108#97#103#32#119#105#108#108#32#99#111#110#116#97#105+
  #110#32#97#108#108#32#111#116#104#101#114#32#115#116#114#117#99#116#115#32+
  #97#110#100#32#105#116#39#115#32#111#119#110#32#102#105#101#108#100#115#32+
  #97#115#32#116#111#112#45#108#101#118#101#108#32#101#110#116#105#116#105#101+
  #115#13#10#47#47#32#32#42#32#105#110#32#98#105#110#97#114#121#44#32#96#115+
  #105#122#101#96#32#105#115#32#116#119#111#32#117#115#104#111#114#116#115#13+
  #10#47#47#32#32#42#32#96#97#115#32#120#121#96#32#119#105#108#108#32#117#115+
  #101#32#96#88#96#32#97#110#100#32#96#89#96#32#102#111#114#32#112#111#105#110+
  #116#115#13#10#47#47#32#32#42#32#96#97#115#32#116#120#121#96#32#119#105#108+
  #108#32#117#115#101#32#96#116#88#96#32#97#110#100#32#96#116#89#96#32#102#111+
  #114#32#112#111#105#110#116#115#13#10#47#47#32#32#42#32#96#97#115#32#119#104+
  #96#32#119#105#108#108#32#117#115#101#32#96#87#105#100#116#104#96#32#97#110+
  #100#32#96#72#101#105#103#104#116#96#32#102#111#114#32#115#105#122#101#13#10+
  #47#47#32#32#42#32#96#97#115#32#116#119#104#96#32#119#105#108#108#32#117#115+
  #101#32#96#116#87#105#100#116#104#96#32#97#110#100#32#96#116#72#101#105#103+
  #104#116#96#32#102#111#114#32#115#105#122#101#13#10#47#47#32#32#42#32#96#97+
  #115#32#109#111#110#115#116#101#114#105#100#96#58#32#115#112#101#99#105#97+
  #108#32#104#97#99#107#32#102#111#114#32#116#114#105#103#103#101#114#115#58+
  #32#109#111#110#115#116#101#114#32#114#101#99#111#114#100#32#110#117#109#98+
  #101#114#43#49#32#105#110#32#98#105#110#97#114#121#32#40#115#111#32#48#32+
  #109#101#97#110#115#32#34#110#111#110#101#34#41#13#10#47#47#32#32#42#32#96+
  #98#105#110#98#108#111#99#107#96#32#97#110#100#32#96#111#102#102#115#101#116+
  #96#32#40#97#110#100#32#96#91#93#96#32#97#114#114#97#121#115#41#32#97#114+
  #101#32#117#115#101#100#32#116#111#32#112#97#114#115#101#32#108#101#103#97+
  #99#121#32#98#105#110#97#114#121#32#102#111#114#109#97#116#13#10#13#10#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#13#10#47#47#32#109#97#105#110#32#98#108#111#99#107#115#13#10#34+
  #109#97#112#34#32#115#105#122#101#32#52#53#50#32#98#121#116#101#115#32#104+
  #101#97#100#101#114#32#98#105#110#98#108#111#99#107#32#55#32#123#13#10#32#32+
  #34#110#97#109#101#34#32#116#121#112#101#32#99#104#97#114#91#51#50#93#32#111+
  #102#102#115#101#116#32#48#32#119#114#105#116#101#100#101#102#97#117#108#116+
  #32#116#105#112#32#34#109#97#112#32#110#97#109#101#34#59#13#10#32#32#34#97+
  #117#116#104#111#114#34#32#116#121#112#101#32#99#104#97#114#91#51#50#93#32+
  #111#102#102#115#101#116#32#51#50#32#100#101#102#97#117#108#116#32#34#34#32+
  #119#114#105#116#101#100#101#102#97#117#108#116#32#116#105#112#32#34#109#97+
  #112#32#97#117#116#104#111#114#34#59#13#10#32#32#34#100#101#115#99#114#105+
  #112#116#105#111#110#34#32#116#121#112#101#32#99#104#97#114#91#50#53#54#93+
  #32#111#102#102#115#101#116#32#54#52#32#100#101#102#97#117#108#116#32#34#34+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#32#116#105#112#32#34#109+
  #97#112#32#100#101#115#99#114#105#112#116#105#111#110#34#59#13#10#32#32#34+
  #109#117#115#105#99#34#32#116#121#112#101#32#99#104#97#114#91#54#52#93#32+
  #111#102#102#115#101#116#32#51#50#48#32#100#101#102#97#117#108#116#32#39#83+
  #116#97#110#100#97#114#116#46#119#97#100#58#68#50#68#77#85#83#92#208#159#208+
  #160#208#158#208#161#208#162#208#158#208#162#208#144#39#32#119#114#105#116+
  #101#100#101#102#97#117#108#116#32#116#105#112#32#34#109#117#115#105#99#32+
  #114#101#115#111#117#114#99#101#34#59#13#10#32#32#34#115#107#121#34#32#116+
  #121#112#101#32#99#104#97#114#91#54#52#93#32#111#102#102#115#101#116#32#51+
  #56#52#32#100#101#102#97#117#108#116#32#39#83#116#97#110#100#97#114#116#46+
  #119#97#100#58#68#50#68#83#75#89#92#82#83#75#89#49#39#32#119#114#105#116#101+
  #100#101#102#97#117#108#116#32#116#105#112#32#34#115#107#121#32#114#101#115+
  #111#117#114#99#101#34#59#13#10#32#32#34#115#105#122#101#34#32#116#121#112+
  #101#32#115#105#122#101#32#111#102#102#115#101#116#32#52#52#56#32#97#115#32+
  #119#104#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#47+
  #47#32#110#111#116#32#105#110#32#98#105#110#97#114#121#13#10#32#32#47#47#32+
  #116#101#109#112#111#114#97#114#121#44#32#102#111#114#32#108#105#103#104#116+
  #105#110#103#32#101#120#112#101#114#105#109#101#110#116#115#13#10#32#32#34+
  #108#105#103#104#116#95#97#109#98#105#101#110#116#34#32#116#121#112#101#32+
  #99#111#108#111#114#32#100#101#102#97#117#108#116#32#40#48#32#48#32#48#32#50+
  #53#53#41#32#116#105#112#32#34#97#109#98#105#101#110#116#32#108#105#103#104+
  #116#32#102#111#114#32#116#104#101#32#119#104#111#108#101#32#108#101#118#101+
  #108#34#59#13#10#125#13#10#13#10#34#116#101#120#116#117#114#101#34#32#115+
  #105#122#101#32#54#53#32#98#121#116#101#115#32#98#105#110#98#108#111#99#107+
  #32#49#32#123#13#10#32#32#34#112#97#116#104#34#32#116#121#112#101#32#99#104+
  #97#114#91#54#52#93#32#111#102#102#115#101#116#32#48#32#119#114#105#116#101+
  #100#101#102#97#117#108#116#59#13#10#32#32#34#97#110#105#109#97#116#101#100+
  #34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115#101#116#32#54#52+
  #32#100#101#102#97#117#108#116#32#102#97#108#115#101#59#13#10#125#13#10#13+
  #10#34#112#97#110#101#108#34#32#115#105#122#101#32#49#56#32#98#121#116#101+
  #115#32#98#105#110#98#108#111#99#107#32#50#32#123#13#10#32#32#34#112#111#115+
  #105#116#105#111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102+
  #102#115#101#116#32#48#32#97#115#32#120#121#32#119#114#105#116#101#100#101+
  #102#97#117#108#116#59#13#10#32#32#34#115#105#122#101#34#32#116#121#112#101+
  #32#115#105#122#101#32#111#102#102#115#101#116#32#56#32#97#115#32#119#104#32+
  #97#115#32#119#104#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13+
  #10#32#32#34#116#101#120#116#117#114#101#34#32#116#121#112#101#32#117#115+
  #104#111#114#116#32#111#102#102#115#101#116#32#49#50#32#116#101#120#116#117+
  #114#101#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34+
  #116#121#112#101#34#32#116#121#112#101#32#117#115#104#111#114#116#32#111#102+
  #102#115#101#116#32#49#52#32#98#105#116#115#101#116#32#117#110#105#113#117+
  #101#32#80#97#110#101#108#84#121#112#101#32#119#114#105#116#101#100#101#102+
  #97#117#108#116#59#13#10#32#32#34#97#108#112#104#97#34#32#116#121#112#101#32+
  #117#98#121#116#101#32#111#102#102#115#101#116#32#49#54#32#100#101#102#97+
  #117#108#116#32#48#59#13#10#32#32#34#102#108#97#103#115#34#32#116#121#112+
  #101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#49#55#32#98#105#116+
  #115#101#116#32#80#97#110#101#108#70#108#97#103#32#100#101#102#97#117#108+
  #116#32#80#65#78#69#76#95#70#76#65#71#95#78#79#78#69#59#13#10#32#32#47#47#32+
  #109#111#118#105#110#103#32#112#108#97#116#102#111#114#109#32#111#112#116+
  #105#111#110#115#44#32#110#111#116#32#105#110#32#98#105#110#97#114#121#13#10+
  #32#32#34#109#111#118#101#95#115#112#101#101#100#34#32#116#121#112#101#32+
  #112#111#105#110#116#32#100#101#102#97#117#108#116#32#40#48#32#48#41#59#13+
  #10#32#32#34#115#105#122#101#95#115#112#101#101#100#34#32#116#121#112#101#32+
  #112#111#105#110#116#32#100#101#102#97#117#108#116#32#40#48#32#48#41#59#32+
  #47#47#32#97#108#97#115#44#32#96#115#105#122#101#96#32#99#97#110#110#111#116+
  #32#98#101#32#110#101#103#97#116#105#118#101#13#10#32#32#34#109#111#118#101+
  #95#115#116#97#114#116#34#32#116#121#112#101#32#112#111#105#110#116#32#100+
  #101#102#97#117#108#116#32#40#48#32#48#41#59#13#10#32#32#34#109#111#118#101+
  #95#101#110#100#34#32#116#121#112#101#32#112#111#105#110#116#32#100#101#102+
  #97#117#108#116#32#40#48#32#48#41#59#13#10#32#32#34#115#105#122#101#95#101+
  #110#100#34#32#116#121#112#101#32#115#105#122#101#32#100#101#102#97#117#108+
  #116#32#40#48#32#48#41#59#13#10#32#32#34#109#111#118#101#95#97#99#116#105+
  #118#101#34#32#116#121#112#101#32#98#111#111#108#32#100#101#102#97#117#108+
  #116#32#102#97#108#115#101#59#13#10#32#32#34#109#111#118#101#95#111#110#99+
  #101#34#32#116#121#112#101#32#98#111#111#108#32#100#101#102#97#117#108#116+
  #32#102#97#108#115#101#59#13#10#32#32#34#101#110#100#95#112#111#115#95#116+
  #114#105#103#103#101#114#34#32#116#114#105#103#103#101#114#32#100#101#102#97+
  #117#108#116#32#110#117#108#108#59#13#10#32#32#34#101#110#100#95#115#105#122+
  #101#95#116#114#105#103#103#101#114#34#32#116#114#105#103#103#101#114#32#100+
  #101#102#97#117#108#116#32#110#117#108#108#59#13#10#125#13#10#13#10#34#105+
  #116#101#109#34#32#115#105#122#101#32#49#48#32#98#121#116#101#115#32#98#105+
  #110#98#108#111#99#107#32#51#32#123#13#10#32#32#34#112#111#115#105#116#105+
  #111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102#102#115#101+
  #116#32#48#32#97#115#32#120#121#32#119#114#105#116#101#100#101#102#97#117+
  #108#116#59#13#10#32#32#34#116#121#112#101#34#32#116#121#112#101#32#117#98+
  #121#116#101#32#111#102#102#115#101#116#32#56#32#101#110#117#109#32#73#116+
  #101#109#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34+
  #111#112#116#105#111#110#115#34#32#116#121#112#101#32#117#98#121#116#101#32+
  #111#102#102#115#101#116#32#57#32#98#105#116#115#101#116#32#73#116#101#109+
  #79#112#116#105#111#110#32#100#101#102#97#117#108#116#32#73#84#69#77#95#79+
  #80#84#73#79#78#95#78#79#78#69#59#13#10#125#13#10#13#10#34#109#111#110#115+
  #116#101#114#34#32#115#105#122#101#32#49#48#32#98#121#116#101#115#32#98#105+
  #110#98#108#111#99#107#32#53#32#123#13#10#32#32#34#112#111#115#105#116#105+
  #111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102#102#115#101+
  #116#32#48#32#97#115#32#120#121#32#119#114#105#116#101#100#101#102#97#117+
  #108#116#59#13#10#32#32#34#116#121#112#101#34#32#116#121#112#101#32#117#98+
  #121#116#101#32#111#102#102#115#101#116#32#56#32#101#110#117#109#32#77#111+
  #110#115#116#101#114#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13+
  #10#32#32#34#100#105#114#101#99#116#105#111#110#34#32#116#121#112#101#32#117+
  #98#121#116#101#32#111#102#102#115#101#116#32#57#32#101#110#117#109#32#68+
  #105#114#84#121#112#101#32#100#101#102#97#117#108#116#32#68#73#82#95#76#69+
  #70#84#59#13#10#125#13#10#13#10#34#97#114#101#97#34#32#115#105#122#101#32#49+
  #48#32#98#121#116#101#115#32#98#105#110#98#108#111#99#107#32#52#32#123#13#10+
  #32#32#34#112#111#115#105#116#105#111#110#34#32#116#121#112#101#32#112#111+
  #105#110#116#32#111#102#102#115#101#116#32#48#32#97#115#32#120#121#32#119+
  #114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#116#121#112+
  #101#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115#101#116+
  #32#56#32#101#110#117#109#32#65#114#101#97#84#121#112#101#32#119#114#105#116+
  #101#100#101#102#97#117#108#116#59#13#10#32#32#34#100#105#114#101#99#116#105+
  #111#110#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115#101+
  #116#32#57#32#101#110#117#109#32#68#105#114#84#121#112#101#32#100#101#102#97+
  #117#108#116#32#68#73#82#95#76#69#70#84#59#13#10#125#13#10#13#10#34#116#114+
  #105#103#103#101#114#34#32#115#105#122#101#32#49#52#56#32#98#121#116#101#115+
  #32#98#105#110#98#108#111#99#107#32#54#32#123#13#10#32#32#34#112#111#115#105+
  #116#105#111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102#102+
  #115#101#116#32#48#32#97#115#32#120#121#32#119#114#105#116#101#100#101#102+
  #97#117#108#116#59#13#10#32#32#34#115#105#122#101#34#32#116#121#112#101#32+
  #115#105#122#101#32#111#102#102#115#101#116#32#56#32#97#115#32#119#104#32+
  #119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#101#110#97+
  #98#108#101#100#34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115+
  #101#116#32#49#50#32#100#101#102#97#117#108#116#32#116#114#117#101#59#13#10+
  #32#32#34#116#101#120#116#117#114#101#95#112#97#110#101#108#34#32#116#121+
  #112#101#32#105#110#116#32#111#102#102#115#101#116#32#49#51#32#112#97#110+
  #101#108#32#100#101#102#97#117#108#116#32#110#117#108#108#59#13#10#32#32#34+
  #116#121#112#101#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102+
  #115#101#116#32#49#55#32#101#110#117#109#32#84#114#105#103#103#101#114#84+
  #121#112#101#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32+
  #32#34#97#99#116#105#118#97#116#101#95#116#121#112#101#34#32#116#121#112#101+
  #32#117#98#121#116#101#32#111#102#102#115#101#116#32#49#56#32#98#105#116#115+
  #101#116#32#65#99#116#105#118#97#116#101#84#121#112#101#59#13#10#32#32#34+
  #107#101#121#115#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102+
  #115#101#116#32#49#57#32#98#105#116#115#101#116#32#75#101#121#32#100#101#102+
  #97#117#108#116#32#75#69#89#95#78#79#78#69#59#13#10#32#32#47#47#87#65#82#78+
  #73#78#71#58#32#34#116#114#105#103#100#97#116#97#34#32#77#85#83#84#32#98#101+
  #32#100#101#102#105#110#101#100#32#98#101#102#111#114#101#32#34#116#121#112+
  #101#34#44#32#97#110#100#32#34#116#121#112#101#34#32#77#85#83#84#32#98#101+
  #32#110#97#109#101#100#32#34#116#121#112#101#34#32#40#102#111#114#32#110#111+
  #119#44#32#99#97#110#32#98#101#32#99#104#97#110#103#101#100#32#108#97#116+
  #101#114#41#13#10#32#32#34#116#114#105#103#103#101#114#100#97#116#97#34#32+
  #116#121#112#101#32#116#114#105#103#100#97#116#97#91#49#50#56#93#32#111#102+
  #102#115#101#116#32#50#48#59#32#47#47#32#116#104#101#32#111#110#108#121#32+
  #115#112#101#99#105#97#108#32#110#101#115#116#101#100#32#115#116#114#117#99+
  #116#117#114#101#13#10#32#32#47#47#68#79#32#78#79#84#32#85#83#69#33#32#101+
  #120#112#101#114#105#109#101#110#116#97#108#32#102#101#97#116#117#114#101#33+
  #32#119#105#108#108#32#98#101#32#114#101#109#111#118#101#100#33#13#10#32#32+
  #34#101#120#111#109#97#95#105#110#105#116#34#32#116#121#112#101#32#115#116+
  #114#105#110#103#32#100#101#102#97#117#108#116#32#34#34#32#116#105#112#32#34+
  #119#105#108#108#32#98#101#32#99#97#108#108#101#100#32#111#110#32#116#114+
  #105#103#103#101#114#32#99#114#101#97#116#105#111#110#34#59#13#10#32#32#34+
  #101#120#111#109#97#95#116#104#105#110#107#34#32#116#121#112#101#32#115#116+
  #114#105#110#103#32#100#101#102#97#117#108#116#32#34#34#32#116#105#112#32#34+
  #119#105#108#108#32#98#101#32#99#97#108#108#101#100#32#111#110#32#101#97#99+
  #104#32#116#104#105#110#107#32#115#116#101#112#34#59#13#10#32#32#34#101#120+
  #111#109#97#95#99#104#101#99#107#34#32#116#121#112#101#32#115#116#114#105+
  #110#103#32#100#101#102#97#117#108#116#32#34#34#32#116#105#112#32#34#119#105+
  #108#108#32#98#101#32#99#97#108#108#101#100#32#98#101#102#111#114#101#32#97+
  #99#116#105#118#97#116#105#111#110#34#59#13#10#32#32#34#101#120#111#109#97+
  #95#97#99#116#105#111#110#34#32#116#121#112#101#32#115#116#114#105#110#103+
  #32#100#101#102#97#117#108#116#32#34#34#32#116#105#112#32#34#119#105#108#108+
  #32#98#101#32#99#97#108#108#101#100#32#111#110#32#97#99#116#105#118#97#116+
  #105#111#110#34#59#13#10#125#13#10#13#10#13#10#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#13#10#47#47#32+
  #115#112#101#99#105#97#108#32#116#101#120#116#117#114#101#32#105#100#101#110+
  #116#105#102#105#101#114#115#44#32#117#115#101#100#32#116#111#32#103#101#110+
  #101#114#97#116#101#32#112#97#115#99#97#108#32#115#111#117#114#99#101#115#13+
  #10#101#110#117#109#32#84#101#120#116#117#114#101#83#112#101#99#105#97#108+
  #32#123#13#10#32#32#84#69#88#84#85#82#69#95#83#80#69#67#73#65#76#95#87#65#84+
  #69#82#32#61#32#45#49#44#13#10#32#32#84#69#88#84#85#82#69#95#83#80#69#67#73+
  #65#76#95#65#67#73#68#49#32#61#32#45#50#44#13#10#32#32#84#69#88#84#85#82#69+
  #95#83#80#69#67#73#65#76#95#65#67#73#68#50#32#61#32#45#51#44#13#10#32#32#84+
  #69#88#84#85#82#69#95#78#79#78#69#32#61#32#45#52#44#13#10#125#13#10#13#10#47+
  #47#32#100#105#114#101#99#116#105#111#110#115#13#10#101#110#117#109#32#68+
  #105#114#84#121#112#101#32#123#13#10#32#32#68#73#82#95#76#69#70#84#44#32#47+
  #47#32#48#13#10#32#32#68#73#82#95#82#73#71#72#84#44#32#47#47#32#49#13#10#32+
  #32#68#73#82#95#83#79#77#69#84#72#73#78#71#50#44#32#47#47#32#50#13#10#125#13+
  #10#13#10#47#47#32#116#114#105#103#103#101#114#115#13#10#101#110#117#109#32+
  #84#114#105#103#103#101#114#84#121#112#101#32#123#13#10#32#32#84#82#73#71#71+
  #69#82#95#78#79#78#69#44#32#47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95+
  #69#88#73#84#44#32#47#47#32#49#13#10#32#32#84#82#73#71#71#69#82#95#84#69#76+
  #69#80#79#82#84#44#32#47#47#32#50#13#10#32#32#84#82#73#71#71#69#82#95#79#80+
  #69#78#68#79#79#82#44#32#47#47#32#51#13#10#32#32#84#82#73#71#71#69#82#95#67+
  #76#79#83#69#68#79#79#82#44#32#47#47#32#52#13#10#32#32#84#82#73#71#71#69#82+
  #95#68#79#79#82#44#32#47#47#32#53#13#10#32#32#84#82#73#71#71#69#82#95#68#79+
  #79#82#53#44#32#47#47#32#54#13#10#32#32#84#82#73#71#71#69#82#95#67#76#79#83+
  #69#84#82#65#80#44#32#47#47#32#55#13#10#32#32#84#82#73#71#71#69#82#95#84#82+
  #65#80#44#32#47#47#32#56#13#10#32#32#84#82#73#71#71#69#82#95#80#82#69#83#83+
  #44#32#47#47#32#57#13#10#32#32#84#82#73#71#71#69#82#95#83#69#67#82#69#84#44+
  #32#47#47#32#49#48#13#10#32#32#84#82#73#71#71#69#82#95#76#73#70#84#85#80#44+
  #32#47#47#32#49#49#13#10#32#32#84#82#73#71#71#69#82#95#76#73#70#84#68#79#87+
  #78#44#32#47#47#32#49#50#13#10#32#32#84#82#73#71#71#69#82#95#76#73#70#84#44+
  #32#47#47#32#49#51#13#10#32#32#84#82#73#71#71#69#82#95#84#69#88#84#85#82#69+
  #44#32#47#47#32#49#52#13#10#32#32#84#82#73#71#71#69#82#95#79#78#44#32#47#47+
  #32#49#53#13#10#32#32#84#82#73#71#71#69#82#95#79#70#70#44#32#47#47#32#49#54+
  #13#10#32#32#84#82#73#71#71#69#82#95#79#78#79#70#70#44#32#47#47#32#49#55#13+
  #10#32#32#84#82#73#71#71#69#82#95#83#79#85#78#68#44#32#47#47#32#49#56#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#80#65#87#78#77#79#78#83#84#69#82#44#32#47+
  #47#32#49#57#13#10#32#32#84#82#73#71#71#69#82#95#83#80#65#87#78#73#84#69#77+
  #44#32#47#47#32#50#48#13#10#32#32#84#82#73#71#71#69#82#95#77#85#83#73#67#44+
  #32#47#47#32#50#49#13#10#32#32#84#82#73#71#71#69#82#95#80#85#83#72#44#32#47+
  #47#32#50#50#13#10#32#32#84#82#73#71#71#69#82#95#83#67#79#82#69#44#32#47#47+
  #32#50#51#13#10#32#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69#44#32#47+
  #47#32#50#52#13#10#32#32#84#82#73#71#71#69#82#95#68#65#77#65#71#69#44#32#47+
  #47#32#50#53#13#10#32#32#84#82#73#71#71#69#82#95#72#69#65#76#84#72#44#32#47+
  #47#32#50#54#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#44#32#47#47#32+
  #50#55#13#10#32#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#44#32#47#47#32+
  #50#56#13#10#32#32#84#82#73#71#71#69#82#95#83#67#82#73#80#84#44#32#47#47#32+
  #50#57#13#10#32#32#47#47#13#10#32#32#84#82#73#71#71#69#82#95#77#65#88#32#61+
  #32#77#65#88#44#13#10#125#13#10#13#10#47#47#32#34#97#115#32#88#88#88#34#32+
  #109#101#97#110#115#32#34#103#101#110#101#114#97#116#101#32#116#104#105#115+
  #32#105#100#101#110#116#105#102#105#101#114#32#102#111#114#32#112#97#115#99+
  #97#108#32#115#111#117#114#99#101#115#13#10#98#105#116#115#101#116#32#80#97+
  #110#101#108#84#121#112#101#32#123#13#10#32#32#80#65#78#69#76#95#78#79#78#69+
  #32#61#32#48#44#32#47#47#32#48#13#10#32#32#80#65#78#69#76#95#87#65#76#76#44+
  #32#47#47#32#49#13#10#32#32#80#65#78#69#76#95#66#65#67#75#44#32#47#47#32#50+
  #13#10#32#32#80#65#78#69#76#95#70#79#82#69#44#32#47#47#32#52#13#10#32#32#80+
  #65#78#69#76#95#87#65#84#69#82#44#32#47#47#32#56#13#10#32#32#80#65#78#69#76+
  #95#65#67#73#68#49#44#32#47#47#32#49#54#13#10#32#32#80#65#78#69#76#95#65#67+
  #73#68#50#44#32#47#47#32#51#50#13#10#32#32#80#65#78#69#76#95#83#84#69#80#44+
  #32#47#47#32#54#52#13#10#32#32#80#65#78#69#76#95#76#73#70#84#85#80#44#32#47+
  #47#32#49#50#56#13#10#32#32#80#65#78#69#76#95#76#73#70#84#68#79#87#78#44#32+
  #47#47#32#50#53#54#13#10#32#32#80#65#78#69#76#95#79#80#69#78#68#79#79#82#44+
  #32#47#47#32#53#49#50#13#10#32#32#80#65#78#69#76#95#67#76#79#83#69#68#79#79+
  #82#44#32#47#47#32#49#48#50#52#13#10#32#32#80#65#78#69#76#95#66#76#79#67#75+
  #77#79#78#44#32#47#47#32#50#48#52#56#13#10#32#32#80#65#78#69#76#95#76#73#70+
  #84#76#69#70#84#44#32#47#47#32#52#48#57#54#13#10#32#32#80#65#78#69#76#95#76+
  #73#70#84#82#73#71#72#84#44#32#47#47#32#56#49#57#50#13#10#125#13#10#13#10#98+
  #105#116#115#101#116#32#80#97#110#101#108#70#108#97#103#32#123#13#10#32#32+
  #80#65#78#69#76#95#70#76#65#71#95#78#79#78#69#32#61#32#48#44#32#47#47#32#48+
  #13#10#32#32#80#65#78#69#76#95#70#76#65#71#95#66#76#69#78#68#73#78#71#44#32+
  #47#47#32#49#13#10#32#32#80#65#78#69#76#95#70#76#65#71#95#72#73#68#69#44#32+
  #47#47#32#50#13#10#32#32#80#65#78#69#76#95#70#76#65#71#95#87#65#84#69#82#84+
  #69#88#84#85#82#69#83#44#32#47#47#32#52#13#10#125#13#10#13#10#101#110#117+
  #109#32#69#102#102#101#99#116#65#99#116#105#111#110#32#123#13#10#32#32#69#70+
  #70#69#67#84#95#78#79#78#69#44#32#47#47#32#48#13#10#32#32#69#70#70#69#67#84+
  #95#84#69#76#69#80#79#82#84#44#32#47#47#32#49#13#10#32#32#69#70#70#69#67#84+
  #95#82#69#83#80#65#87#78#44#32#47#47#32#50#13#10#32#32#69#70#70#69#67#84#95+
  #70#73#82#69#44#32#47#47#32#51#13#10#125#13#10#13#10#47#47#87#65#82#78#73#78+
  #71#33#32#109#97#120#32#97#108#108#111#119#101#100#32#105#116#101#109#115#32+
  #116#121#112#101#115#32#105#115#32#49#50#55#13#10#101#110#117#109#32#73#116+
  #101#109#32#123#13#10#32#32#73#84#69#77#95#78#79#78#69#44#32#47#47#32#48#13+
  #10#32#32#73#84#69#77#95#77#69#68#75#73#84#95#83#77#65#76#76#44#32#47#47#32+
  #49#13#10#32#32#73#84#69#77#95#77#69#68#75#73#84#95#76#65#82#71#69#44#32#47+
  #47#32#50#13#10#32#32#73#84#69#77#95#77#69#68#75#73#84#95#66#76#65#67#75#44+
  #32#47#47#32#51#13#10#32#32#73#84#69#77#95#65#82#77#79#82#95#71#82#69#69#78+
  #44#32#47#47#32#52#13#10#32#32#73#84#69#77#95#65#82#77#79#82#95#66#76#85#69+
  #44#32#47#47#32#53#13#10#32#32#73#84#69#77#95#83#80#72#69#82#69#95#66#76#85+
  #69#44#32#47#47#32#54#13#10#32#32#73#84#69#77#95#83#80#72#69#82#69#95#87#72+
  #73#84#69#44#32#47#47#32#55#13#10#32#32#73#84#69#77#95#83#85#73#84#44#32#47+
  #47#32#56#13#10#32#32#73#84#69#77#95#79#88#89#71#69#78#44#32#47#47#32#57#13+
  #10#32#32#73#84#69#77#95#73#78#86#85#76#44#32#47#47#32#49#48#13#10#32#32#73+
  #84#69#77#95#87#69#65#80#79#78#95#83#65#87#44#32#47#47#32#49#49#13#10#32#32+
  #73#84#69#77#95#87#69#65#80#79#78#95#83#72#79#84#71#85#78#49#44#32#47#47#32+
  #49#50#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#83#72#79#84#71#85#78+
  #50#44#32#47#47#32#49#51#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#67+
  #72#65#73#78#71#85#78#44#32#47#47#32#49#52#13#10#32#32#73#84#69#77#95#87#69+
  #65#80#79#78#95#82#79#67#75#69#84#76#65#85#78#67#72#69#82#44#32#47#47#32#49+
  #53#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#80#76#65#83#77#65#44#32+
  #47#47#32#49#54#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#66#70#71#44+
  #32#47#47#32#49#55#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#83#85#80+
  #69#82#80#85#76#69#77#69#84#44#32#47#47#32#49#56#13#10#32#32#73#84#69#77#95+
  #65#77#77#79#95#66#85#76#76#69#84#83#44#32#47#47#32#49#57#13#10#32#32#73#84+
  #69#77#95#65#77#77#79#95#66#85#76#76#69#84#83#95#66#79#88#44#32#47#47#32#50+
  #48#13#10#32#32#73#84#69#77#95#65#77#77#79#95#83#72#69#76#76#83#44#32#47#47+
  #32#50#49#13#10#32#32#73#84#69#77#95#65#77#77#79#95#83#72#69#76#76#83#95#66+
  #79#88#44#32#47#47#32#50#50#13#10#32#32#73#84#69#77#95#65#77#77#79#95#82#79+
  #67#75#69#84#44#32#47#47#32#50#51#13#10#32#32#73#84#69#77#95#65#77#77#79#95+
  #82#79#67#75#69#84#95#66#79#88#44#32#47#47#32#50#52#13#10#32#32#73#84#69#77+
  #95#65#77#77#79#95#67#69#76#76#44#32#47#47#32#50#53#13#10#32#32#73#84#69#77+
  #95#65#77#77#79#95#67#69#76#76#95#66#73#71#44#32#47#47#32#50#54#13#10#32#32+
  #73#84#69#77#95#65#77#77#79#95#66#65#67#75#80#65#67#75#44#32#47#47#32#50#55+
  #13#10#32#32#73#84#69#77#95#75#69#89#95#82#69#68#44#32#47#47#32#50#56#13#10+
  #32#32#73#84#69#77#95#75#69#89#95#71#82#69#69#78#44#32#47#47#32#50#57#13#10+
  #32#32#73#84#69#77#95#75#69#89#95#66#76#85#69#44#32#47#47#32#51#48#13#10#32+
  #32#73#84#69#77#95#87#69#65#80#79#78#95#75#65#83#84#69#84#44#32#47#47#32#51+
  #49#13#10#32#32#73#84#69#77#95#87#69#65#80#79#78#95#80#73#83#84#79#76#44#32+
  #47#47#32#51#50#13#10#32#32#73#84#69#77#95#66#79#84#84#76#69#44#32#47#47#32+
  #51#51#13#10#32#32#73#84#69#77#95#72#69#76#77#69#84#44#32#47#47#32#51#52#13+
  #10#32#32#73#84#69#77#95#74#69#84#80#65#67#75#44#32#47#47#32#51#53#13#10#32+
  #32#73#84#69#77#95#73#78#86#73#83#44#32#47#47#32#51#54#13#10#32#32#73#84#69+
  #77#95#87#69#65#80#79#78#95#70#76#65#77#69#84#72#82#79#87#69#82#44#32#47#47+
  #32#51#55#13#10#32#32#73#84#69#77#95#65#77#77#79#95#70#85#69#76#67#65#78#44+
  #32#47#47#32#51#56#13#10#32#32#47#47#13#10#32#32#73#84#69#77#95#77#65#88#32+
  #61#32#77#65#88#44#32#47#47#32#115#116#111#114#101#32#116#104#101#32#108#97+
  #115#116#32#105#116#101#109#39#115#32#105#100#32#105#110#32#104#101#114#101+
  #32#117#115#101#32#116#104#105#115#32#105#110#32#102#111#114#32#108#111#111+
  #112#115#13#10#125#13#10#13#10#98#105#116#115#101#116#32#73#116#101#109#79+
  #112#116#105#111#110#32#123#13#10#32#32#73#84#69#77#95#79#80#84#73#79#78#95+
  #78#79#78#69#32#61#32#48#44#32#47#47#32#48#13#10#32#32#73#84#69#77#95#79#80+
  #84#73#79#78#95#79#78#76#89#68#77#44#32#47#47#32#49#13#10#32#32#73#84#69#77+
  #95#79#80#84#73#79#78#95#70#65#76#76#44#32#47#47#32#50#13#10#125#13#10#13#10+
  #101#110#117#109#32#65#114#101#97#84#121#112#101#32#123#13#10#32#32#65#82#69+
  #65#95#78#79#78#69#44#32#47#47#32#48#13#10#32#32#65#82#69#65#95#80#76#65#89+
  #69#82#80#79#73#78#84#49#44#32#47#47#32#49#13#10#32#32#65#82#69#65#95#80#76+
  #65#89#69#82#80#79#73#78#84#50#44#32#47#47#32#50#13#10#32#32#65#82#69#65#95+
  #68#77#80#79#73#78#84#44#32#47#47#32#51#13#10#32#32#65#82#69#65#95#82#69#68+
  #70#76#65#71#44#32#47#47#32#52#13#10#32#32#65#82#69#65#95#66#76#85#69#70#76+
  #65#71#44#32#47#47#32#53#13#10#32#32#65#82#69#65#95#68#79#77#70#76#65#71#44+
  #32#47#47#32#54#13#10#32#32#65#82#69#65#95#82#69#68#84#69#65#77#80#79#73#78+
  #84#44#32#47#47#32#55#13#10#32#32#65#82#69#65#95#66#76#85#69#84#69#65#77#80+
  #79#73#78#84#44#32#47#47#32#56#13#10#125#13#10#13#10#101#110#117#109#32#77+
  #111#110#115#116#101#114#32#123#13#10#32#32#77#79#78#83#84#69#82#95#78#79#78+
  #69#44#32#47#47#32#48#13#10#32#32#77#79#78#83#84#69#82#95#68#69#77#79#78#44+
  #32#47#47#32#49#13#10#32#32#77#79#78#83#84#69#82#95#73#77#80#44#32#47#47#32+
  #50#13#10#32#32#77#79#78#83#84#69#82#95#90#79#77#66#89#44#32#47#47#32#51#13+
  #10#32#32#77#79#78#83#84#69#82#95#83#69#82#71#44#32#47#47#32#52#13#10#32#32+
  #77#79#78#83#84#69#82#95#67#89#66#69#82#44#32#47#47#32#53#13#10#32#32#77#79+
  #78#83#84#69#82#95#67#71#85#78#44#32#47#47#32#54#13#10#32#32#77#79#78#83#84+
  #69#82#95#66#65#82#79#78#44#32#47#47#32#55#13#10#32#32#77#79#78#83#84#69#82+
  #95#75#78#73#71#72#84#44#32#47#47#32#56#13#10#32#32#77#79#78#83#84#69#82#95+
  #67#65#67#79#44#32#47#47#32#57#13#10#32#32#77#79#78#83#84#69#82#95#83#79#85+
  #76#44#32#47#47#32#49#48#13#10#32#32#77#79#78#83#84#69#82#95#80#65#73#78#44+
  #32#47#47#32#49#49#13#10#32#32#77#79#78#83#84#69#82#95#83#80#73#68#69#82#44+
  #32#47#47#32#49#50#13#10#32#32#77#79#78#83#84#69#82#95#66#83#80#44#32#47#47+
  #32#49#51#13#10#32#32#77#79#78#83#84#69#82#95#77#65#78#67#85#66#44#32#47#47+
  #32#49#52#13#10#32#32#77#79#78#83#84#69#82#95#83#75#69#76#44#32#47#47#32#49+
  #53#13#10#32#32#77#79#78#83#84#69#82#95#86#73#76#69#44#32#47#47#32#49#54#13+
  #10#32#32#77#79#78#83#84#69#82#95#70#73#83#72#44#32#47#47#32#49#55#13#10#32+
  #32#77#79#78#83#84#69#82#95#66#65#82#82#69#76#44#32#47#47#32#49#56#13#10#32+
  #32#77#79#78#83#84#69#82#95#82#79#66#79#44#32#47#47#32#49#57#13#10#32#32#77+
  #79#78#83#84#69#82#95#77#65#78#44#32#47#47#32#50#48#13#10#32#32#47#47#32#97+
  #108#105#97#115#101#115#32#40#102#105#120#109#101#58#32#105#116#32#115#104+
  #111#117#108#100#32#98#101#32#96#77#79#78#83#84#69#82#95#90#79#77#66#73#69+
  #32#61#32#77#79#78#83#84#69#82#95#90#79#77#66#89#96#33#41#13#10#32#32#77#79+
  #78#83#84#69#82#95#90#79#77#66#73#69#32#61#32#51#44#13#10#125#13#10#13#10+
  #101#110#117#109#32#77#111#110#115#116#101#114#66#101#104#97#118#105#111#117+
  #114#32#123#13#10#32#32#66#72#95#78#79#82#77#65#76#44#32#47#47#32#48#13#10+
  #32#32#66#72#95#75#73#76#76#69#82#44#32#47#47#32#49#13#10#32#32#66#72#95#77+
  #65#78#73#65#67#44#32#47#47#32#50#13#10#32#32#66#72#95#73#78#83#65#78#69#44+
  #32#47#47#32#51#13#10#32#32#66#72#95#67#65#78#78#73#66#65#76#44#32#47#47#32+
  #52#13#10#32#32#66#72#95#71#79#79#68#44#32#47#47#32#53#13#10#125#13#10#13#10+
  #101#110#117#109#32#84#114#105#103#103#101#114#83#104#111#116#32#123#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#80#73#83#84#79#76#44#32#47#47+
  #32#48#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#66#85#76#76#69#84+
  #44#32#47#47#32#49#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#83#72+
  #79#84#71#85#78#44#32#47#47#32#50#13#10#32#32#84#82#73#71#71#69#82#95#83#72+
  #79#84#95#83#83#71#44#32#47#47#32#51#13#10#32#32#84#82#73#71#71#69#82#95#83+
  #72#79#84#95#73#77#80#44#32#47#47#32#52#13#10#32#32#84#82#73#71#71#69#82#95+
  #83#72#79#84#95#80#76#65#83#77#65#44#32#47#47#32#53#13#10#32#32#84#82#73#71+
  #71#69#82#95#83#72#79#84#95#83#80#73#68#69#82#44#32#47#47#32#54#13#10#32#32+
  #84#82#73#71#71#69#82#95#83#72#79#84#95#67#65#67#79#44#32#47#47#32#55#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#66#65#82#79#78#44#32#47#47#32+
  #56#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#77#65#78#67#85#66#44+
  #32#47#47#32#57#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#82#69#86+
  #44#32#47#47#32#49#48#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#82+
  #79#67#75#69#84#44#32#47#47#32#49#49#13#10#32#32#84#82#73#71#71#69#82#95#83+
  #72#79#84#95#66#70#71#44#32#47#47#32#49#50#13#10#32#32#84#82#73#71#71#69#82+
  #95#83#72#79#84#95#69#88#80#76#44#32#47#47#32#49#51#13#10#32#32#84#82#73#71+
  #71#69#82#95#83#72#79#84#95#66#70#71#69#88#80#76#44#32#47#47#32#49#52#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#70#76#65#77#69#44#32#47#47#32+
  #49#53#13#10#32#32#47#47#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95+
  #77#65#88#32#61#32#77#65#88#44#13#10#125#13#10#13#10#101#110#117#109#32#84+
  #114#105#103#103#101#114#83#104#111#116#84#97#114#103#101#116#32#123#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#84#65#82#71#69#84#95#78#79#78+
  #69#44#32#47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#84+
  #65#82#71#69#84#95#77#79#78#44#32#47#47#32#49#13#10#32#32#84#82#73#71#71#69+
  #82#95#83#72#79#84#95#84#65#82#71#69#84#95#80#76#82#44#32#47#47#32#50#13#10+
  #32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#84#65#82#71#69#84#95#82#69#68+
  #44#32#47#47#32#51#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#84#65+
  #82#71#69#84#95#66#76#85#69#44#32#47#47#32#52#13#10#32#32#84#82#73#71#71#69+
  #82#95#83#72#79#84#95#84#65#82#71#69#84#95#77#79#78#80#76#82#44#32#47#47#32+
  #53#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#84#65#82#71#69#84#95+
  #80#76#82#77#79#78#44#32#47#47#32#54#13#10#125#13#10#13#10#101#110#117#109+
  #32#84#114#105#103#103#101#114#83#104#111#116#65#105#109#32#123#13#10#32#32+
  #84#82#73#71#71#69#82#95#83#72#79#84#95#65#73#77#95#68#69#70#65#85#76#84#44+
  #32#47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95#83#72#79#84#95#65#73#77+
  #95#65#76#76#77#65#80#44#32#47#47#32#49#13#10#32#32#84#82#73#71#71#69#82#95+
  #83#72#79#84#95#65#73#77#95#84#82#65#67#69#44#32#47#47#32#50#13#10#32#32#84+
  #82#73#71#71#69#82#95#83#72#79#84#95#65#73#77#95#84#82#65#67#69#65#76#76#44+
  #32#47#47#32#51#13#10#125#13#10#13#10#101#110#117#109#32#84#114#105#103#103+
  #101#114#69#102#102#101#99#116#32#123#13#10#32#32#84#82#73#71#71#69#82#95#69+
  #70#70#69#67#84#95#80#65#82#84#73#67#76#69#44#32#47#47#32#48#13#10#32#32#84+
  #82#73#71#71#69#82#95#69#70#70#69#67#84#95#65#78#73#77#65#84#73#79#78#44#32+
  #47#47#32#49#13#10#125#13#10#13#10#101#110#117#109#32#84#114#105#103#103#101+
  #114#69#102#102#101#99#116#84#121#112#101#32#123#13#10#32#32#84#82#73#71#71+
  #69#82#95#69#70#70#69#67#84#95#83#76#73#81#85#73#68#44#32#47#47#32#48#13#10+
  #32#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#76#76#73#81#85#73#68#44+
  #32#47#47#32#49#13#10#32#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#68+
  #76#73#81#85#73#68#44#32#47#47#32#50#13#10#32#32#84#82#73#71#71#69#82#95#69+
  #70#70#69#67#84#95#66#76#79#79#68#44#32#47#47#32#51#13#10#32#32#84#82#73#71+
  #71#69#82#95#69#70#70#69#67#84#95#83#80#65#82#75#44#32#47#47#32#52#13#10#32+
  #32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#66#85#66#66#76#69#44#32#47+
  #47#32#53#13#10#32#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#77#65#88+
  #32#61#32#77#65#88#44#13#10#125#13#10#13#10#101#110#117#109#32#84#114#105+
  #103#103#101#114#69#102#102#101#99#116#80#111#115#32#123#13#10#32#32#84#82+
  #73#71#71#69#82#95#69#70#70#69#67#84#95#80#79#83#95#67#69#78#84#69#82#44#32+
  #47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#80#79+
  #83#95#65#82#69#65#44#32#47#47#32#49#13#10#125#13#10#13#10#101#110#117#109+
  #32#84#114#105#103#103#101#114#77#117#115#105#99#65#99#116#105#111#110#32+
  #123#13#10#32#32#84#82#73#71#71#69#82#95#77#85#83#73#67#95#65#67#84#73#79#78+
  #95#83#84#79#80#44#32#47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95#77#85+
  #83#73#67#95#65#67#84#73#79#78#95#80#76#65#89#44#32#47#47#32#49#59#32#117+
  #110#112#97#117#115#101#32#111#114#32#114#101#115#116#97#114#116#13#10#125+
  #13#10#13#10#101#110#117#109#32#84#114#105#103#103#101#114#83#99#111#114#101+
  #65#99#116#105#111#110#32#123#13#10#32#32#84#82#73#71#71#69#82#95#83#67#79+
  #82#69#95#65#67#84#73#79#78#95#65#68#68#44#32#47#47#32#48#13#10#32#32#84#82+
  #73#71#71#69#82#95#83#67#79#82#69#95#65#67#84#73#79#78#95#83#85#66#44#32#47+
  #47#32#49#13#10#32#32#84#82#73#71#71#69#82#95#83#67#79#82#69#95#65#67#84#73+
  #79#78#95#87#73#78#44#32#47#47#32#50#13#10#32#32#84#82#73#71#71#69#82#95#83+
  #67#79#82#69#95#65#67#84#73#79#78#95#76#79#79#83#69#44#32#47#47#32#51#13#10+
  #125#13#10#13#10#101#110#117#109#32#84#114#105#103#103#101#114#77#101#115+
  #115#97#103#101#68#101#115#116#32#123#13#10#32#32#84#82#73#71#71#69#82#95#77+
  #69#83#83#65#71#69#95#68#69#83#84#95#77#69#44#32#47#47#32#48#13#10#32#32#84+
  #82#73#71#71#69#82#95#77#69#83#83#65#71#69#95#68#69#83#84#95#77#89#95#84#69+
  #65#77#44#32#47#47#32#49#13#10#32#32#84#82#73#71#71#69#82#95#77#69#83#83#65+
  #71#69#95#68#69#83#84#95#69#78#69#77#89#95#84#69#65#77#44#32#47#47#32#50#13+
  #10#32#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69#95#68#69#83#84#95#82+
  #69#68#95#84#69#65#77#44#32#47#47#32#51#13#10#32#32#84#82#73#71#71#69#82#95+
  #77#69#83#83#65#71#69#95#68#69#83#84#95#66#76#85#69#95#84#69#65#77#44#32#47+
  #47#32#52#13#10#32#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69#95#68#69+
  #83#84#95#69#86#69#82#89#79#78#69#44#32#47#47#32#53#13#10#125#13#10#13#10+
  #101#110#117#109#32#84#114#105#103#103#101#114#77#101#115#115#97#103#101#75+
  #105#110#100#32#123#13#10#32#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69+
  #95#75#73#78#68#95#67#72#65#84#44#32#47#47#32#48#13#10#32#32#84#82#73#71#71+
  #69#82#95#77#69#83#83#65#71#69#95#75#73#78#68#95#71#65#77#69#44#32#47#47#32+
  #49#13#10#125#13#10#13#10#98#105#116#115#101#116#32#65#99#116#105#118#97#116+
  #101#84#121#112#101#32#123#13#10#32#32#65#67#84#73#86#65#84#69#95#78#79#78+
  #69#32#61#32#48#44#32#47#47#32#48#13#10#32#32#65#67#84#73#86#65#84#69#95#80+
  #76#65#89#69#82#67#79#76#76#73#68#69#44#32#47#47#32#49#13#10#32#32#65#67#84+
  #73#86#65#84#69#95#77#79#78#83#84#69#82#67#79#76#76#73#68#69#44#32#47#47#32+
  #50#13#10#32#32#65#67#84#73#86#65#84#69#95#80#76#65#89#69#82#80#82#69#83#83+
  #44#32#47#47#32#52#13#10#32#32#65#67#84#73#86#65#84#69#95#77#79#78#83#84#69+
  #82#80#82#69#83#83#44#32#47#47#32#56#13#10#32#32#65#67#84#73#86#65#84#69#95+
  #83#72#79#84#44#32#47#47#32#49#54#13#10#32#32#65#67#84#73#86#65#84#69#95#78+
  #79#77#79#78#83#84#69#82#44#32#47#47#32#51#50#13#10#32#32#65#67#84#73#86#65+
  #84#69#95#67#85#83#84#79#77#32#61#32#50#53#53#44#32#47#47#32#110#111#116#101+
  #32#116#104#97#116#32#34#100#105#114#101#99#116#32#97#115#115#105#103#110#34+
  #32#102#105#101#108#100#32#100#111#101#115#110#39#116#32#97#102#102#101#99+
  #116#32#98#105#116#32#99#111#117#110#116#101#114#13#10#125#13#10#13#10#98+
  #105#116#115#101#116#32#75#101#121#32#123#13#10#32#32#75#69#89#95#78#79#78+
  #69#32#61#32#48#44#32#47#47#32#48#13#10#32#32#75#69#89#95#82#69#68#44#32#47+
  #47#32#49#13#10#32#32#75#69#89#95#71#82#69#69#78#44#32#47#47#32#50#13#10#32+
  #32#75#69#89#95#66#76#85#69#44#32#47#47#32#52#13#10#32#32#75#69#89#95#82#69+
  #68#84#69#65#77#44#32#47#47#32#56#13#10#32#32#75#69#89#95#66#76#85#69#84#69+
  #65#77#44#32#47#47#32#49#54#13#10#125#13#10#13#10#101#110#117#109#32#72#105+
  #116#84#121#112#101#32#123#13#10#32#32#72#73#84#95#83#79#77#69#44#32#47#47+
  #32#48#13#10#32#32#72#73#84#95#82#79#67#75#69#84#44#32#47#47#32#49#13#10#32+
  #32#72#73#84#95#66#70#71#44#32#47#47#32#50#13#10#32#32#72#73#84#95#84#82#65+
  #80#44#32#47#47#32#51#13#10#32#32#72#73#84#95#70#65#76#76#44#32#47#47#32#52+
  #13#10#32#32#72#73#84#95#87#65#84#69#82#44#32#47#47#32#53#13#10#32#32#72#73+
  #84#95#65#67#73#68#44#32#47#47#32#54#13#10#32#32#72#73#84#95#69#76#69#67#84+
  #82#79#44#32#47#47#32#55#13#10#32#32#72#73#84#95#70#76#65#77#69#44#32#47#47+
  #32#56#13#10#32#32#72#73#84#95#83#69#76#70#44#32#47#47#32#57#13#10#32#32#72+
  #73#84#95#68#73#83#67#79#78#44#32#47#47#32#49#48#13#10#125#13#10#13#10#13#10+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47#47+
  #47#47#47#47#47#13#10#47#47#32#118#97#114#105#111#117#115#32#116#114#105#103+
  #103#101#114#115#13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111+
  #114#32#84#82#73#71#71#69#82#95#69#88#73#84#32#123#13#10#32#32#34#109#97#112+
  #34#32#116#121#112#101#32#99#104#97#114#91#49#54#93#32#111#102#102#115#101+
  #116#32#48#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#125#13+
  #10#13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73+
  #71#71#69#82#95#84#69#76#69#80#79#82#84#32#123#13#10#32#32#34#116#97#114#103+
  #101#116#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102#102#115#101+
  #116#32#48#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32+
  #34#100#50#100#34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115+
  #101#116#32#56#32#100#101#102#97#117#108#116#32#102#97#108#115#101#59#13#10+
  #32#32#34#115#105#108#101#110#116#34#32#116#121#112#101#32#98#111#111#108#32+
  #111#102#102#115#101#116#32#57#32#100#101#102#97#117#108#116#32#102#97#108+
  #115#101#59#13#10#32#32#34#100#105#114#101#99#116#105#111#110#34#32#116#121+
  #112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#49#48#32#101+
  #110#117#109#32#68#105#114#84#121#112#101#32#100#101#102#97#117#108#116#32+
  #68#73#82#95#76#69#70#84#59#13#10#125#13#10#13#10#84#114#105#103#103#101#114+
  #68#97#116#97#32#102#111#114#32#40#84#82#73#71#71#69#82#95#79#80#69#78#68#79+
  #79#82#44#32#84#82#73#71#71#69#82#95#67#76#79#83#69#68#79#79#82#44#32#84#82+
  #73#71#71#69#82#95#68#79#79#82#44#32#84#82#73#71#71#69#82#95#68#79#79#82#53+
  #44#32#84#82#73#71#71#69#82#95#67#76#79#83#69#84#82#65#80#44#32#84#82#73#71+
  #71#69#82#95#84#82#65#80#44#32#84#82#73#71#71#69#82#95#76#73#70#84#85#80#44+
  #32#84#82#73#71#71#69#82#95#76#73#70#84#68#79#87#78#44#32#84#82#73#71#71#69+
  #82#95#76#73#70#84#41#32#123#13#10#32#32#34#112#97#110#101#108#105#100#34#32+
  #116#121#112#101#32#105#110#116#32#111#102#102#115#101#116#32#48#32#112#97+
  #110#101#108#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32+
  #32#34#115#105#108#101#110#116#34#32#116#121#112#101#32#98#111#111#108#32+
  #111#102#102#115#101#116#32#52#32#100#101#102#97#117#108#116#32#102#97#108+
  #115#101#59#13#10#32#32#34#100#50#100#34#32#116#121#112#101#32#98#111#111+
  #108#32#111#102#102#115#101#116#32#53#32#100#101#102#97#117#108#116#32#102+
  #97#108#115#101#59#13#10#125#13#10#13#10#84#114#105#103#103#101#114#68#97+
  #116#97#32#102#111#114#32#40#84#82#73#71#71#69#82#95#80#82#69#83#83#44#32#84+
  #82#73#71#71#69#82#95#79#78#44#32#84#82#73#71#71#69#82#95#79#70#70#44#32#84+
  #82#73#71#71#69#82#95#79#78#79#70#70#41#32#123#13#10#32#32#34#112#111#115+
  #105#116#105#111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102+
  #102#115#101#116#32#48#32#97#115#32#116#120#121#32#100#101#102#97#117#108+
  #116#32#40#48#32#48#41#32#119#114#105#116#101#100#101#102#97#117#108#116#59+
  #13#10#32#32#34#115#105#122#101#34#32#116#121#112#101#32#115#105#122#101#32+
  #111#102#102#115#101#116#32#56#32#97#115#32#116#119#104#32#100#101#102#97+
  #117#108#116#32#40#48#32#48#41#59#13#10#32#32#34#119#97#105#116#34#32#116+
  #121#112#101#32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#49#50+
  #32#100#101#102#97#117#108#116#32#48#59#13#10#32#32#34#99#111#117#110#116#34+
  #32#97#108#105#97#115#32#112#114#101#115#115#67#111#117#110#116#32#116#121+
  #112#101#32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#49#52#32+
  #100#101#102#97#117#108#116#32#48#59#13#10#32#32#34#109#111#110#115#116#101+
  #114#105#100#34#32#116#121#112#101#32#105#110#116#32#111#102#102#115#101#116+
  #32#49#54#32#109#111#110#115#116#101#114#32#97#115#32#109#111#110#115#116+
  #101#114#105#100#32#100#101#102#97#117#108#116#32#110#117#108#108#59#13#10+
  #32#32#34#101#120#116#95#114#97#110#100#111#109#34#32#116#121#112#101#32#98+
  #111#111#108#32#111#102#102#115#101#116#32#50#48#32#100#101#102#97#117#108+
  #116#32#102#97#108#115#101#59#13#10#32#32#47#47#32#116#104#105#115#32#111+
  #110#101#32#105#115#32#102#111#114#32#109#111#118#105#110#103#32#112#108#97+
  #116#102#111#114#109#115#13#10#32#32#34#112#97#110#101#108#105#100#34#32#112+
  #97#110#101#108#32#100#101#102#97#117#108#116#32#110#117#108#108#59#13#10#32+
  #32#34#115#105#108#101#110#116#34#32#116#121#112#101#32#98#111#111#108#32+
  #100#101#102#97#117#108#116#32#116#114#117#101#59#13#10#32#32#34#115#111#117+
  #110#100#34#32#116#121#112#101#32#115#116#114#105#110#103#32#100#101#102#97+
  #117#108#116#32#34#34#59#13#10#125#13#10#13#10#101#110#117#109#32#84#114#105+
  #103#103#101#114#83#99#111#114#101#84#101#97#109#32#123#13#10#32#32#84#82#73+
  #71#71#69#82#95#83#67#79#82#69#95#84#69#65#77#95#77#73#78#69#95#82#69#68#44+
  #32#47#47#32#48#13#10#32#32#84#82#73#71#71#69#82#95#83#67#79#82#69#95#84#69+
  #65#77#95#77#73#78#69#95#66#76#85#69#44#32#47#47#32#49#13#10#32#32#84#82#73+
  #71#71#69#82#95#83#67#79#82#69#95#84#69#65#77#95#70#79#82#67#69#95#82#69#68+
  #44#32#47#47#32#50#13#10#32#32#84#82#73#71#71#69#82#95#83#67#79#82#69#95#84+
  #69#65#77#95#70#79#82#67#69#95#66#76#85#69#44#32#47#47#32#51#13#10#125#13#10+
  #13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71+
  #71#69#82#95#83#69#67#82#69#84#32#123#13#10#125#13#10#13#10#84#114#105#103+
  #103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95#84#69#88+
  #84#85#82#69#32#123#13#10#32#32#34#97#99#116#105#118#97#116#101#95#111#110+
  #99#101#34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115#101#116+
  #32#48#32#100#101#102#97#117#108#116#32#102#97#108#115#101#32#119#114#105+
  #116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#97#110#105#109#97#116+
  #101#95#111#110#99#101#34#32#116#121#112#101#32#98#111#111#108#32#111#102+
  #102#115#101#116#32#49#32#100#101#102#97#117#108#116#32#102#97#108#115#101+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#125#13#10#13#10+
  #84#114#105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71#71#69+
  #82#95#83#79#85#78#68#32#123#13#10#32#32#34#115#111#117#110#100#95#110#97+
  #109#101#34#32#116#121#112#101#32#99#104#97#114#91#54#52#93#32#111#102#102+
  #115#101#116#32#48#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13+
  #10#32#32#34#118#111#108#117#109#101#34#32#116#121#112#101#32#117#98#121#116+
  #101#32#111#102#102#115#101#116#32#54#52#32#100#101#102#97#117#108#116#32#48+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#59#32#47#47#63#63#63#32+
  #100#101#102#97#117#108#116#32#63#63#63#13#10#32#32#34#112#97#110#34#32#116+
  #121#112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#54#53#32+
  #100#101#102#97#117#108#116#32#48#59#13#10#32#32#34#108#111#99#97#108#34#32+
  #116#121#112#101#32#98#111#111#108#32#111#102#102#115#101#116#32#54#54#32+
  #100#101#102#97#117#108#116#32#116#114#117#101#59#32#47#47#63#63#63#32#100+
  #101#102#97#117#108#116#32#63#63#63#13#10#32#32#34#112#108#97#121#95#99#111+
  #117#110#116#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115+
  #101#116#32#54#55#32#100#101#102#97#117#108#116#32#49#59#13#10#32#32#34#115+
  #111#117#110#100#95#115#119#105#116#99#104#34#32#116#121#112#101#32#98#111+
  #111#108#32#111#102#102#115#101#116#32#54#56#32#100#101#102#97#117#108#116+
  #32#102#97#108#115#101#59#32#47#47#63#63#63#32#100#101#102#97#117#108#116#32+
  #63#63#63#13#10#125#13#10#13#10#84#114#105#103#103#101#114#68#97#116#97#32+
  #102#111#114#32#84#82#73#71#71#69#82#95#83#80#65#87#78#77#79#78#83#84#69#82+
  #32#123#13#10#32#32#34#112#111#115#105#116#105#111#110#34#32#116#121#112#101+
  #32#112#111#105#110#116#32#111#102#102#115#101#116#32#48#32#97#115#32#116+
  #120#121#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34+
  #116#121#112#101#34#32#97#108#105#97#115#32#115#112#97#119#110#77#111#110+
  #115#84#121#112#101#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102+
  #115#101#116#32#56#32#101#110#117#109#32#77#111#110#115#116#101#114#32#100+
  #101#102#97#117#108#116#32#77#79#78#83#84#69#82#95#73#77#80#32#119#114#105+
  #116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#104#101#97#108#116#104+
  #34#32#116#121#112#101#32#105#110#116#32#111#102#102#115#101#116#32#49#50#32+
  #119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#100#105+
  #114#101#99#116#105#111#110#34#32#116#121#112#101#32#117#98#121#116#101#32+
  #111#102#102#115#101#116#32#49#54#32#101#110#117#109#32#68#105#114#84#121+
  #112#101#32#100#101#102#97#117#108#116#32#68#73#82#95#76#69#70#84#32#119#114+
  #105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#97#99#116#105#118+
  #101#34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115#101#116#32+
  #49#55#32#100#101#102#97#117#108#116#32#116#114#117#101#59#13#10#32#32#34#99+
  #111#117#110#116#34#32#97#108#105#97#115#32#109#111#110#115#67#111#117#110+
  #116#32#116#121#112#101#32#105#110#116#32#111#102#102#115#101#116#32#50#48+
  #32#100#101#102#97#117#108#116#32#49#32#119#114#105#116#101#100#101#102#97+
  #117#108#116#59#13#10#32#32#34#101#102#102#101#99#116#34#32#116#121#112#101+
  #32#117#98#121#116#101#32#111#102#102#115#101#116#32#50#52#32#101#110#117+
  #109#32#69#102#102#101#99#116#65#99#116#105#111#110#32#100#101#102#97#117+
  #108#116#32#69#70#70#69#67#84#95#78#79#78#69#32#119#114#105#116#101#100#101+
  #102#97#117#108#116#59#13#10#32#32#34#109#97#120#34#32#116#121#112#101#32+
  #117#115#104#111#114#116#32#111#102#102#115#101#116#32#50#54#32#100#101#102+
  #97#117#108#116#32#49#32#119#114#105#116#101#100#101#102#97#117#108#116#59+
  #13#10#32#32#34#100#101#108#97#121#34#32#116#121#112#101#32#117#115#104#111+
  #114#116#32#111#102#102#115#101#116#32#50#56#32#100#101#102#97#117#108#116+
  #32#49#48#48#48#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10+
  #32#32#34#98#101#104#97#118#105#111#117#114#34#32#116#121#112#101#32#117#98+
  #121#116#101#32#111#102#102#115#101#116#32#51#48#32#101#110#117#109#32#77+
  #111#110#115#116#101#114#66#101#104#97#118#105#111#117#114#32#100#101#102#97+
  #117#108#116#32#66#72#95#78#79#82#77#65#76#59#13#10#125#13#10#13#10#84#114+
  #105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95+
  #83#80#65#87#78#73#84#69#77#32#123#13#10#32#32#34#112#111#115#105#116#105+
  #111#110#34#32#116#121#112#101#32#112#111#105#110#116#32#111#102#102#115#101+
  #116#32#48#32#97#115#32#116#120#121#32#119#114#105#116#101#100#101#102#97+
  #117#108#116#59#13#10#32#32#34#116#121#112#101#34#32#97#108#105#97#115#32+
  #115#112#97#119#110#73#116#101#109#84#121#112#101#32#116#121#112#101#32#117+
  #98#121#116#101#32#111#102#102#115#101#116#32#56#32#101#110#117#109#32#73+
  #116#101#109#32#100#101#102#97#117#108#116#32#73#84#69#77#95#78#79#78#69#32+
  #119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#103#114#97+
  #118#105#116#121#34#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115+
  #101#116#32#57#32#100#101#102#97#117#108#116#32#116#114#117#101#59#13#10#32+
  #32#34#100#109#111#110#108#121#34#32#116#121#112#101#32#98#111#111#108#32+
  #111#102#102#115#101#116#32#49#48#32#100#101#102#97#117#108#116#32#102#97+
  #108#115#101#59#13#10#32#32#34#99#111#117#110#116#34#32#97#108#105#97#115#32+
  #105#116#101#109#67#111#117#110#116#32#116#121#112#101#32#105#110#116#32#111+
  #102#102#115#101#116#32#49#50#32#100#101#102#97#117#108#116#32#49#59#13#10+
  #32#32#34#101#102#102#101#99#116#34#32#116#121#112#101#32#117#98#121#116#101+
  #32#111#102#102#115#101#116#32#49#54#32#101#110#117#109#32#69#102#102#101#99+
  #116#65#99#116#105#111#110#32#100#101#102#97#117#108#116#32#69#70#70#69#67+
  #84#95#78#79#78#69#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13+
  #10#32#32#34#109#97#120#34#32#116#121#112#101#32#117#115#104#111#114#116#32+
  #111#102#102#115#101#116#32#49#56#32#100#101#102#97#117#108#116#32#49#59#13+
  #10#32#32#34#100#101#108#97#121#34#32#116#121#112#101#32#117#115#104#111#114+
  #116#32#111#102#102#115#101#116#32#50#48#32#100#101#102#97#117#108#116#32#49+
  #48#48#48#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#125#13+
  #10#13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73+
  #71#71#69#82#95#77#85#83#73#67#32#123#13#10#32#32#34#110#97#109#101#34#32#97+
  #108#105#97#115#32#109#117#115#105#99#78#97#109#101#32#116#121#112#101#32#99+
  #104#97#114#91#54#52#93#32#111#102#102#115#101#116#32#48#32#119#114#105#116+
  #101#100#101#102#97#117#108#116#59#13#10#32#32#34#97#99#116#105#111#110#34+
  #32#97#108#105#97#115#32#109#117#115#105#99#65#99#116#105#111#110#32#116#121+
  #112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#54#52#32#101+
  #110#117#109#32#84#114#105#103#103#101#114#77#117#115#105#99#65#99#116#105+
  #111#110#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#125#13+
  #10#13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73+
  #71#71#69#82#95#80#85#83#72#32#123#13#10#32#32#34#97#110#103#108#101#34#32+
  #116#121#112#101#32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#48+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#102#111+
  #114#99#101#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115+
  #101#116#32#50#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32+
  #32#34#114#101#115#101#116#95#118#101#108#111#99#105#116#121#34#32#116#121+
  #112#101#32#98#111#111#108#32#111#102#102#115#101#116#32#51#32#100#101#102+
  #97#117#108#116#32#102#97#108#115#101#32#119#114#105#116#101#100#101#102#97+
  #117#108#116#59#13#10#125#13#10#13#10#84#114#105#103#103#101#114#68#97#116+
  #97#32#102#111#114#32#84#82#73#71#71#69#82#95#83#67#79#82#69#32#123#13#10#32+
  #32#34#97#99#116#105#111#110#34#32#97#108#105#97#115#32#115#99#111#114#101+
  #65#99#116#105#111#110#32#116#121#112#101#32#117#98#121#116#101#32#111#102+
  #102#115#101#116#32#48#32#101#110#117#109#32#84#114#105#103#103#101#114#83+
  #99#111#114#101#65#99#116#105#111#110#32#100#101#102#97#117#108#116#32#84#82+
  #73#71#71#69#82#95#83#67#79#82#69#95#65#67#84#73#79#78#95#65#68#68#32#119+
  #114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#99#111#117#110+
  #116#34#32#97#108#105#97#115#32#115#99#111#114#101#67#111#117#110#116#32#116+
  #121#112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#49#32#100+
  #101#102#97#117#108#116#32#49#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#116#101#97#109#34#32#97#108#105#97#115#32#115#99#111+
  #114#101#84#101#97#109#32#116#121#112#101#32#117#98#121#116#101#32#111#102+
  #102#115#101#116#32#50#32#101#110#117#109#32#84#114#105#103#103#101#114#83+
  #99#111#114#101#84#101#97#109#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#99#111#110#115#111#108#101#34#32#97#108#105#97#115#32+
  #115#99#111#114#101#67#111#110#32#116#121#112#101#32#98#111#111#108#32#111+
  #102#102#115#101#116#32#51#32#100#101#102#97#117#108#116#32#102#97#108#115+
  #101#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#109+
  #101#115#115#97#103#101#34#32#97#108#105#97#115#32#115#99#111#114#101#77#115+
  #103#32#116#121#112#101#32#98#111#111#108#32#111#102#102#115#101#116#32#52+
  #32#100#101#102#97#117#108#116#32#116#114#117#101#32#119#114#105#116#101#100+
  #101#102#97#117#108#116#59#13#10#125#13#10#13#10#84#114#105#103#103#101#114+
  #68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69+
  #32#123#13#10#32#32#34#107#105#110#100#34#32#116#121#112#101#32#117#98#121+
  #116#101#32#111#102#102#115#101#116#32#48#32#101#110#117#109#32#84#114#105+
  #103#103#101#114#77#101#115#115#97#103#101#75#105#110#100#32#100#101#102#97+
  #117#108#116#32#84#82#73#71#71#69#82#95#77#69#83#83#65#71#69#95#75#73#78#68+
  #95#71#65#77#69#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10+
  #32#32#34#100#101#115#116#34#32#97#108#105#97#115#32#109#115#103#68#101#115+
  #116#32#116#121#112#101#32#117#98#121#116#101#32#101#110#117#109#32#84#114+
  #105#103#103#101#114#77#101#115#115#97#103#101#68#101#115#116#32#111#102#102+
  #115#101#116#32#49#59#13#10#32#32#34#116#101#120#116#34#32#116#121#112#101+
  #32#99#104#97#114#91#49#48#48#93#32#111#102#102#115#101#116#32#50#32#119#114+
  #105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#116#105#109#101#34+
  #32#97#108#105#97#115#32#109#115#103#84#105#109#101#32#116#121#112#101#32+
  #117#115#104#111#114#116#32#111#102#102#115#101#116#32#49#48#50#32#119#114+
  #105#116#101#100#101#102#97#117#108#116#59#13#10#125#13#10#13#10#84#114#105+
  #103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95#68+
  #65#77#65#71#69#32#123#13#10#32#32#34#97#109#111#117#110#116#34#32#116#121+
  #112#101#32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#48#32#119+
  #114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#105#110#116+
  #101#114#118#97#108#34#32#116#121#112#101#32#117#115#104#111#114#116#32#111+
  #102#102#115#101#116#32#50#32#119#114#105#116#101#100#101#102#97#117#108#116+
  #59#13#10#125#13#10#13#10#84#114#105#103#103#101#114#68#97#116#97#32#102#111+
  #114#32#84#82#73#71#71#69#82#95#72#69#65#76#84#72#32#123#13#10#32#32#34#97+
  #109#111#117#110#116#34#32#116#121#112#101#32#117#115#104#111#114#116#32#111+
  #102#102#115#101#116#32#48#32#119#114#105#116#101#100#101#102#97#117#108#116+
  #59#13#10#32#32#34#105#110#116#101#114#118#97#108#34#32#116#121#112#101#32+
  #117#115#104#111#114#116#32#111#102#102#115#101#116#32#50#32#119#114#105#116+
  #101#100#101#102#97#117#108#116#59#13#10#32#32#34#109#97#120#34#32#97#108+
  #105#97#115#32#104#101#97#108#77#97#120#32#116#121#112#101#32#98#111#111#108+
  #32#111#102#102#115#101#116#32#52#32#119#114#105#116#101#100#101#102#97#117+
  #108#116#59#13#10#32#32#34#115#105#108#101#110#116#34#32#116#121#112#101#32+
  #98#111#111#108#32#111#102#102#115#101#116#32#53#32#119#114#105#116#101#100+
  #101#102#97#117#108#116#59#13#10#125#13#10#13#10#84#114#105#103#103#101#114+
  #68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95#83#72#79#84#32#123+
  #13#10#32#32#34#112#111#115#105#116#105#111#110#34#32#116#121#112#101#32#112+
  #111#105#110#116#32#111#102#102#115#101#116#32#48#32#97#115#32#116#120#121+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#116#121+
  #112#101#34#32#97#108#105#97#115#32#115#104#111#116#84#121#112#101#32#116+
  #121#112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#56#32#101+
  #110#117#109#32#84#114#105#103#103#101#114#83#104#111#116#32#119#114#105#116+
  #101#100#101#102#97#117#108#116#59#13#10#32#32#34#116#97#114#103#101#116#34+
  #32#97#108#105#97#115#32#115#104#111#116#84#97#114#103#101#116#32#116#121+
  #112#101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#57#32#101#110+
  #117#109#32#84#114#105#103#103#101#114#83#104#111#116#84#97#114#103#101#116+
  #32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#115#111+
  #117#110#100#34#32#97#108#105#97#115#32#115#104#111#116#83#111#117#110#100+
  #32#116#121#112#101#32#110#101#103#98#111#111#108#32#111#102#102#115#101#116+
  #32#49#48#59#32#47#47#32#110#101#103#98#111#111#108#33#13#10#32#32#34#97#105+
  #109#34#32#116#121#112#101#32#98#121#116#101#32#111#102#102#115#101#116#32+
  #49#49#32#101#110#117#109#32#84#114#105#103#103#101#114#83#104#111#116#65+
  #105#109#32#100#101#102#97#117#108#116#32#84#82#73#71#71#69#82#95#83#72#79+
  #84#95#65#73#77#95#68#69#70#65#85#76#84#59#13#10#32#32#34#112#97#110#101#108+
  #105#100#34#32#116#121#112#101#32#105#110#116#32#111#102#102#115#101#116#32+
  #49#50#32#112#97#110#101#108#32#100#101#102#97#117#108#116#32#110#117#108+
  #108#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#115+
  #105#103#104#116#34#32#116#121#112#101#32#117#115#104#111#114#116#32#111#102+
  #102#115#101#116#32#49#54#59#13#10#32#32#34#97#110#103#108#101#34#32#116#121+
  #112#101#32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#49#56#59+
  #13#10#32#32#34#119#97#105#116#34#32#116#121#112#101#32#117#115#104#111#114+
  #116#32#111#102#102#115#101#116#32#50#48#59#13#10#32#32#34#97#99#99#117#114+
  #97#99#121#34#32#116#121#112#101#32#117#115#104#111#114#116#32#111#102#102+
  #115#101#116#32#50#50#59#13#10#32#32#34#97#109#109#111#34#32#116#121#112#101+
  #32#117#115#104#111#114#116#32#111#102#102#115#101#116#32#50#52#59#13#10#32+
  #32#34#114#101#108#111#97#100#34#32#116#121#112#101#32#117#115#104#111#114+
  #116#32#111#102#102#115#101#116#32#50#54#59#13#10#125#13#10#13#10#84#114#105+
  #103#103#101#114#68#97#116#97#32#102#111#114#32#84#82#73#71#71#69#82#95#69+
  #70#70#69#67#84#32#123#13#10#32#32#34#99#111#117#110#116#34#32#97#108#105#97+
  #115#32#70#88#67#111#117#110#116#32#116#121#112#101#32#117#98#121#116#101#32+
  #111#102#102#115#101#116#32#48#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#116#121#112#101#34#32#97#108#105#97#115#32#70#88#84+
  #121#112#101#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115#101+
  #116#32#49#32#101#110#117#109#32#84#114#105#103#103#101#114#69#102#102#101+
  #99#116#32#100#101#102#97#117#108#116#32#84#82#73#71#71#69#82#95#69#70#70#69+
  #67#84#95#80#65#82#84#73#67#76#69#32#119#114#105#116#101#100#101#102#97#117+
  #108#116#59#13#10#32#32#34#115#117#98#116#121#112#101#34#32#97#108#105#97+
  #115#32#70#88#83#117#98#84#121#112#101#32#116#121#112#101#32#117#98#121#116+
  #101#32#111#102#102#115#101#116#32#50#32#101#110#117#109#32#84#114#105#103+
  #103#101#114#69#102#102#101#99#116#84#121#112#101#32#100#101#102#97#117#108+
  #116#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#83#80#65#82#75#32#119+
  #114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#114#101#100#34+
  #32#97#108#105#97#115#32#70#88#82#101#100#32#116#121#112#101#32#117#98#121+
  #116#101#32#111#102#102#115#101#116#32#51#32#119#114#105#116#101#100#101#102+
  #97#117#108#116#59#13#10#32#32#34#103#114#101#101#110#34#32#97#108#105#97+
  #115#32#70#88#71#114#101#101#110#32#116#121#112#101#32#117#98#121#116#101#32+
  #111#102#102#115#101#116#32#52#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#98#108#117#101#34#32#97#108#105#97#115#32#70#88#66+
  #108#117#101#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115#101+
  #116#32#53#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32+
  #34#112#111#115#34#32#97#108#105#97#115#32#70#88#80#111#115#32#116#121#112+
  #101#32#117#98#121#116#101#32#111#102#102#115#101#116#32#54#32#101#110#117+
  #109#32#84#114#105#103#103#101#114#69#102#102#101#99#116#80#111#115#32#100+
  #101#102#97#117#108#116#32#84#82#73#71#71#69#82#95#69#70#70#69#67#84#95#80+
  #79#83#95#67#69#78#84#69#82#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#119#97#105#116#34#32#116#121#112#101#32#117#115#104+
  #111#114#116#32#111#102#102#115#101#116#32#56#32#119#114#105#116#101#100#101+
  #102#97#117#108#116#59#13#10#32#32#34#118#101#108#95#120#34#32#116#121#112+
  #101#32#98#121#116#101#32#111#102#102#115#101#116#32#49#48#32#119#114#105+
  #116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#118#101#108#95#121#34+
  #32#116#121#112#101#32#98#121#116#101#32#111#102#102#115#101#116#32#49#49#32+
  #119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#115#112+
  #114#101#97#100#95#108#34#32#116#121#112#101#32#117#98#121#116#101#32#111+
  #102#102#115#101#116#32#49#50#32#119#114#105#116#101#100#101#102#97#117#108+
  #116#59#13#10#32#32#34#115#112#114#101#97#100#95#114#34#32#116#121#112#101+
  #32#117#98#121#116#101#32#111#102#102#115#101#116#32#49#51#32#119#114#105+
  #116#101#100#101#102#97#117#108#116#59#13#10#32#32#34#115#112#114#101#97#100+
  #95#117#34#32#116#121#112#101#32#117#98#121#116#101#32#111#102#102#115#101+
  #116#32#49#52#32#119#114#105#116#101#100#101#102#97#117#108#116#59#13#10#32+
  #32#34#115#112#114#101#97#100#95#100#34#32#116#121#112#101#32#117#98#121#116+
  #101#32#111#102#102#115#101#116#32#49#53#32#119#114#105#116#101#100#101#102+
  #97#117#108#116#59#13#10#125#13#10
;